#include <libmng.h>

mng_ptr my_mng_alloc(mng_size_t iSize)
{
  void *ptr = malloc(iSize);
  memset(ptr, 0, iSize);
  return (mng_ptr) ptr;
}

void my_mng_free(mng_ptr pPtr, mng_size_t __attribute__ ((unused)) iSize)
{
  free(pPtr);
}

int main()
{
  mng_handle hMNG =
      mng_initialize(MNG_NULL, my_mng_alloc, my_mng_free, MNG_NULL);
  mng_cleanup(&hMNG);

  return 0;
}
