/* BlinkenLib
   Copyright 2004-2014 Stefan Schuermans <stefan@schuermans.info>
   Copyleft GNU public license - http://www.gnu.org/copyleft/gpl.html
   a blinkenarea.org project */

#ifndef INC_BlinkenLib_BlinkenColorizer
#define INC_BlinkenLib_BlinkenColorizer

#ifdef __cplusplus
extern "C" {
#endif

// convert string to colorizing mode
// returns colorizing mode (>= 0) or -1 on error
int BlinkenColorizerStr2Mode(const char *str);

// convert colorizing mode to string
const char *BlinkenColorizerMode2Str(int mode);

// get color for colorizing
unsigned char BlinkenColorizerGetColor(int channels, int mode, int step,
                                       int y, int x, int c);

#ifdef __cplusplus
} // extern "C"
#endif

#endif // #ifndef INC_BlinkenLib_BlinkenColorizer
